Patchwork [WIP,11/20] wget: Add dependency on libpcre

login
register
mail settings
Submitter Martin Jansa
Date Aug. 29, 2013, 4:02 p.m.
Message ID <086c32308bdd8d212afe0c8fa4e614a2617fc4ba.1377792006.git.Martin.Jansa@gmail.com>
Download mbox | patch
Permalink /patch/56943/
State Accepted
Commit 854fa8ef7beca80435607d1f73f681a510f60d88
Headers show

Comments

Martin Jansa - Aug. 29, 2013, 4:02 p.m.
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta/recipes-extended/wget/wget.inc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Randy MacLeod - Sept. 20, 2013, 11:23 p.m.
On 13-08-29 12:02 PM, Martin Jansa wrote:
> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
> ---
>   meta/recipes-extended/wget/wget.inc | 2 +-
>   1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/meta/recipes-extended/wget/wget.inc b/meta/recipes-extended/wget/wget.inc
> index de9b620..7af55c4 100644
> --- a/meta/recipes-extended/wget/wget.inc
> +++ b/meta/recipes-extended/wget/wget.inc
> @@ -2,7 +2,7 @@ DESCRIPTION = "A console URL download utility featuring HTTP, FTP, and more."
>   SECTION = "console/network"
>   LICENSE = "GPLv3"
>   LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"
> -DEPENDS = "openssl zlib"
> +DEPENDS = "openssl zlib libpcre"
>
>   INC_PR = "r16"
>
>


I haven't looked at the other patches yet but this seems
to be valid since my image construction failed with:

Computing transaction...error: Can't install wget-1.14-r16.0.0@core2: no 
package provides libpcre >= 8.33
Khem Raj - Sept. 21, 2013, 12:27 a.m.
On Fri, Sep 20, 2013 at 4:23 PM, Randy MacLeod
<randy.macleod@windriver.com> wrote:
> On 13-08-29 12:02 PM, Martin Jansa wrote:
>>
>> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
>> ---
>>   meta/recipes-extended/wget/wget.inc | 2 +-
>>   1 file changed, 1 insertion(+), 1 deletion(-)
>>
>> diff --git a/meta/recipes-extended/wget/wget.inc
>> b/meta/recipes-extended/wget/wget.inc
>> index de9b620..7af55c4 100644
>> --- a/meta/recipes-extended/wget/wget.inc
>> +++ b/meta/recipes-extended/wget/wget.inc
>> @@ -2,7 +2,7 @@ DESCRIPTION = "A console URL download utility featuring
>> HTTP, FTP, and more."
>>   SECTION = "console/network"
>>   LICENSE = "GPLv3"
>>   LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"
>> -DEPENDS = "openssl zlib"
>> +DEPENDS = "openssl zlib libpcre"
>>
>>   INC_PR = "r16"
>>
>>
>
>
> I haven't looked at the other patches yet but this seems
> to be valid since my image construction failed with:
>
> Computing transaction...error: Can't install wget-1.14-r16.0.0@core2: no
> package provides libpcre >= 8.33


this is a typical floating dependency order case. it should be turned
into a PACKAGECONFIG, pcre is not a commonly shipped library and you
dont
want such hard dependency on it.


>
> --
> # Randy MacLeod. SMTS, Linux, Wind River
> Direct: 613.963.1350
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-extended/wget/wget.inc b/meta/recipes-extended/wget/wget.inc
index de9b620..7af55c4 100644
--- a/meta/recipes-extended/wget/wget.inc
+++ b/meta/recipes-extended/wget/wget.inc
@@ -2,7 +2,7 @@  DESCRIPTION = "A console URL download utility featuring HTTP, FTP, and more."
 SECTION = "console/network"
 LICENSE = "GPLv3"
 LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504"
-DEPENDS = "openssl zlib"
+DEPENDS = "openssl zlib libpcre"
 
 INC_PR = "r16"